<?php

/**
 * Created by PhpStorm.
 * Date: 2017/3/31
 * Time: 14:02
 */

namespace General\Controllers\CompanyAuth\Transformers;

class UserTransformer
{
    public function transform($item)
    {
        $sex = ['0'=>'无性别', '1'=>'男', '2'=>'女'];
        return [
            'id' => $item->id,
            'channel_id' => $item->distribution_channel_id,
            'register_openid' => $item->openid,
            'register_ip' => $item->register_ip,
            'register_time' =>  (string)$item->created_at,
            'ua' => $item->user_env ? $item->user_env->ua : '',
            'app_id' => $item->force_subscribe_user ? $item->force_subscribe_user->appid : '',
            'opend_id' => $item->force_subscribe_user ? $item->force_subscribe_user->openid : '',
            'is_subscribed' => $item->force_subscribe_user && $item->force_subscribe_user->is_subscribed ? (string)$item->force_subscribe_user->is_subscribed : '0',
            'subscribe_time' => $item->force_subscribe_user ? (string)$item->force_subscribe_user->subscribe_time : '',
            'nickname' => $item->nickname ? (string)$item->nickname : '',
            'balance' => $item->balance ? (string)$item->balance : '',
            'sex' => isset($sex[$item->sex]) ? $sex[$item->sex] : ''
        ];
    }
}
